Subject: Re: bug#76596: 30.1; dired-movement-style does not honor subdir operations

From: Juri Linkov <[email-masked]>
Date: Thu, 13 Mar 2025 20:02:16 +0200

>> >> > >> I'm not sure what is the behavior expected by most users?
>> >> > >> It seems the intention for this feature was to visit only
>> >> > >> filename lines with n, p, C-p, C-n,
>> >> > >
>> >> > > I initially thought about that, but (a) the documentation says
>> >> > > something else, and (b) the original implementation, before your
>> >> > > changes mentioned above, indeed skipped only empty lines, not any
>> >> > > lines that don't show a file name.  So I changed my mind about that.
>> >> > 
>> >> > Maybe this preference should be defined by the option?
>> >> > Or by a new value of the existing option?
>> >> 
>> >> Yes, additional value(s) of the option would be good if we want to
>> >> have both behaviors.
>> >> 
>> >> Are you okay with me installing my patch, and then you working on
>> >> adding the new value(s)?
>> 
>> I guess this is okay, since then later we could just add a condition
>> that uses the new value.
>
> Thanks, done.
>
> Let me know if you want to leave this bug open, or close it and file
> another bug for the new values you wanted to add.

I'd like to add the new values under this bug report.

Current values are

  (const :tag "Cycle through non-empty lines" cycle)
  (const :tag "Stop on last/first non-empty line" bounded))

New values could be

  (const :tag "Cycle through file lines" cycle-files)
  (const :tag "Stop on last/first file line" bounded-files))